/* This file is part of syscalltrack, a GNU/Linux kernel module and */
/* user space utilities for logging or modifying any system call    */
/* invocation.                                                      */
/*                                                                  */
/* Copyright (C) 2000-2002 guy keren, choo@actcom.co.il             */
/* License: GNU General Public License                              */

/*
 * $Id: string_util.h,v 1.2 2002/06/15 15:16:14 mulix Exp $
 */ 

#ifndef STRING_UTIL_H_
#define STRING_UTIL_H_

/* set (*kernel_str) to point to a kernel space copy of the    */
/* string 'str'. return 0 on success, negative errno on error. */ 
int getstring(const char* str, char** kern_str);

/* free a string gotten from getstring */
#define putstring(name)   kfree((name))

#endif /* STRING_UTIL_H_ */
