/* This file is part of syscalltrack, a GNU/Linux kernel module and */
/* user space utilities for logging or modifying any system call    */
/* invocation.                                                      */
/*                                                                  */
/* Copyright (C) 2000-2002 guy keren, choo@actcom.co.il             */
/* License: GNU General Public License                              */

/* 
 * $Id: logger_helpers.h,v 1.2 2002/06/15 15:16:14 mulix Exp $
 */ 

#ifndef LOGGER_HELPERS_H_
#define LOGGER_HELPERS_H_

/* entry logger helper fucntion. */
extern int logger_helper_mux(char spec_char,
			     char* buf,
			     int buflen,
			     void* p,
			     void* p_data,
			     void* cb_data);


/* logger helper functions. */
typedef enum {
    LHF_INET_NTOA = 0,
    LHF_NTOHS,
    LHF_NTOHL
} logger_helper_funcs_t;

#endif /* LOGGER_HELPERS_H_ */


