/* 
 * $Id: var_callbacks.h,v 1.3 2002/01/20 22:20:00 mulix Exp $
 */ 

#ifndef VAR_CALLBACKS_H_
#define VAR_CALLBACKS_H_

/* get a filter node of this 'type' of data, with value 'data' */
sct_filter_node_t* proc_current_callback(sct_var_type_t type, void *data);

/* get the return value filter node */
sct_filter_node_t* global_retval_callback(sct_var_type_t type, void *data);

/* get a filter node with a parameter value */
sct_filter_node_t* global_param_callback(sct_var_type_t type, int param_index, 
				     sct_data_type_t dtype, void *data);

/* get a filter node with a struct's field parameter value */
sct_filter_node_t* global_struct_field_param_callback(sct_var_type_t type,
					    int param_index, int field_num,
					    sct_data_type_t dtype, void *data,
					    int struct_type);

#endif /* VAR_CALLBACKS_H_ */
